<?xml version="1.0" encoding="UTF-8"?>
 <!--延时摄影-->
 <!--广角-10x-->
 <MultiCameraConfigTable>
    <rule name = "SmoothRule:ZOOM[0.4-10.01) whole range of zoom_begin and zoom_end">
        <condition name = "ZOOM_RATIO_BEGIN" min = "0.4" max = "10.01"/>
        <condition name = "ZOOM_RATIO_END" min = "0.4" max = "10.1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "SmoothRule1:ZOOM[4.0-10.01) T:10->4.0 | 4.0->10">
            <condition name = "ZOOM_RATIO" min = "4.00" max = "10.01"/>
            <outState>
                <camera name = "tele" prev = "true"/>
            </outState>
        </rule>
        <rule name = "SmoothRule2:ZOOM[1.0-4.00) W:4.0->1.0 | 1.0->4.0">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "4.00"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "SmoothRule2A:ZOOM[1.0-4.00) zoom_in W:4.0->1.0 | 1.0->4.0">
                <condition name = "ZOOM_RATIO" min = "1.0" max = "4.0"/>
                <condition name = "ZOOM_RATIO_END" min = "2.4" max = "4.01"/>
                <condition name = "ZOOM_RATIO_BEGIN" min = "0.9" max = "1.01"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
        <rule name = "SmoothRule3:ZOOM[0.5-1.0) UW:1.0->0.5 | 0.5->1.0">
            <condition name = "ZOOM_RATIO" min = "0.4" max = "1.0"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
            </outState>
        </rule>
    </rule>
 </MultiCameraConfigTable>
